Chapter 13. Db_vector_iterator
Prev |  | Next

## Chapter 13. Db_vector_iterator

#### Public Members

Member | Description
--- | ---
db_vector_iterator |
~db_vector_iterator |
operator++ | Pre-increment.
operator-- | Pre-decrement.
operator= | Assignment operator.
operator+ | Iterator movement operator.
operator+= | Move this iterator backward by n elements.
operator- | Iterator movement operator.
operator-= | Move this iterator forward by n elements.
operator * | Dereference operator.
operator-> | Arrow operator.
operator[] | Iterator index operator.
refresh | Refresh iterator cached value.

#### Group

Iterator Classes for db_vector

## db_vector_iterator

### Function Details

    db_vector_iterator(const db_vector_iterator< T,
        value_type_sub > &vi)

    db_vector_iterator(db_container *powner, u_int32_t b_bulk_retrieval=0,
        bool brmw=false, bool directdbget=true,
        bool b_read_only=false)

    db_vector_iterator()

    db_vector_iterator(const db_vector_base_iterator< T > &obj)

### Group: Constructors and destructor

Do not construct iterators explictily using these constructors, but call db_vector::begin to get an valid iterator.

db_vector::begin

### Class

db_vector_iterator

Prev |  | Next
get_bulk_bufsize | Home | ~db_vector_iterator